/************************************************************************
*																								*
*		menu																					*
*																								*
*-----------------------------------------------------------------------*
*																								*
*		Menu definitions for PPrint													*
*																								*
*-----------------------------------------------------------------------*
*																								*
*		Project			Settings															*
*		-----------------------------													*
*		About				Page Length														*
*							Page Width														*
*		Load				Tab Size															*
*		Print																					*
*							Save Settings													*
*		Quit																					*
*																								*
************************************************************************/

#include <exec/types.h>
#include <intuition/intuition.h>

/***************************************

					Settings

***************************************/

static struct IntuiText	PLenText	=
{
	0,1,JAM2,1,1,NULL,"Page Length",NULL
};
static struct MenuItem	PLen	=
{
	NULL,
	2, 0,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&PLenText,
	NULL,
	'h',
	NULL,
	0
};

static struct IntuiText	PWidthText	=
{
	0,1,JAM2,1,1,NULL,"Page Width",NULL
};
static struct MenuItem	PWidth	=
{
	&PLen,
	2, 10,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&PWidthText,
	NULL,
	'w',
	NULL,
	0
};

static struct IntuiText	TabText	=
{
	0,1,JAM2,1,1,NULL,"Tab Size",NULL
};
static struct MenuItem	Tab	=
{
	&PWidth,
	2, 20,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&TabText,
	NULL,
	't',
	NULL,
	0
};

static struct IntuiText	LMText	=
{
	0,1,JAM2,1,1,NULL,"Left Margin",NULL
};
static struct MenuItem	LM	=
{
	&Tab,
	2, 30,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&LMText,
	NULL,
	'm',
	NULL,
	0
};

static struct IntuiText	RMText	=
{
	0,1,JAM2,1,1,NULL,"Right Margin",NULL
};
static struct MenuItem	RM	=
{
	&LM,
	2, 40,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&RMText,
	NULL,
	'r',
	NULL,
	0
};

static struct IntuiText	LSText	=
{
	0,1,JAM2,1,1,NULL,"Load Settings",NULL
};
static struct MenuItem	LS	=
{
	&RM,
	2, 55,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&LSText,
	NULL,
	'l',
	NULL,
	0
};

static struct IntuiText	SaveText	=
{
	0,1,JAM2,1,1,NULL,"Save Settings",NULL
};
static struct MenuItem	Save	=
{
	&LS,
	2, 65,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&SaveText,
	NULL,
	's',
	NULL,
	0
};

/***************************************
***************************************/

struct Menu		Settings	=
{
	NULL,
	72,0,
	90,10,
	MENUENABLED,
	"Settings",
	&Save,
	0,0,0,0
};

/***************************************

					Project

***************************************/

static struct IntuiText	AboutText	=
{
	0,1,JAM2,1,1,NULL,"About",NULL
};
static struct MenuItem	About	=
{
	NULL,
	2, 0,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&AboutText,
	NULL,
	'a',
	NULL,
	0
};

static struct IntuiText	LoadText	=
{
	0,1,JAM2,1,1,NULL,"Load",NULL
};
static struct MenuItem	Load	=
{
	&About,
	2, 15,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&LoadText,
	NULL,
	'o',
	NULL,
	0
};

static struct IntuiText	PrintText	=
{
	0,1,JAM2,1,1,NULL,"Print",NULL
};
static struct MenuItem	Print	=
{
	&Load,
	2, 25,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&PrintText,
	NULL,
	'p',
	NULL,
	0
};

static struct IntuiText	QuitText	=
{
	0,1,JAM2,1,1,NULL,"Quit",NULL
};
static struct MenuItem	Quit	=
{
	&Print,
	2, 40,
	200, 10,
	ITEMTEXT | HIGHCOMP | COMMSEQ | ITEMENABLED,
	0L,
	( APTR )&QuitText,
	NULL,
	'q',
	NULL,
	0
};

/***************************************
***************************************/

struct Menu		Project	=
{
	&Settings,
	2,0,
	70,10,
	MENUENABLED,
	"Project",
	&Quit,
	0,0,0,0
};
